import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  totalCollection: z.literal(true).optional(),
  commissionAmount: z.literal(true).optional(),
  notes: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const CommissionBatchCountAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchCountAggregateInputType>;
export const CommissionBatchCountAggregateInputObjectZodSchema = makeSchema();
